# PSF-LoginServer - master - net.psforever.persistence.Avatar
PSF - LoginServer - master - net.psforever.persistence.Avatar
Keywords: PSF LoginServer master net.psforever.persistence.Avatar

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package persistence
  Definition Classes
    psforever
- Account
- Avatar
- Building
- Certification
- Implant
- Loadout
- Locker
- Login
- Vehicleloadout

c

net.psforever.persistence

# Avatar

###

#### case class Avatar(id: Int, name: String, accountId: Int, factionId: Int, genderId: Int, headId: Int, voiceId: Int, bep: Long = 0, cep: Long = 0, cosmetics: Option[Int] = None, created: LocalDateTime = LocalDateTime.now(), lastLogin: LocalDateTime = LocalDateTime.now(), lastModified: LocalDateTime = LocalDateTime.now(), deleted: Boolean = false) extends Product with Serializable

Source
  Avatar.scala

Linear Supertypes
Serializable, Product, Equals, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Avatar
2. Serializable
3. Product
4. Equals
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new Avatar(id: Int, name: String, accountId: Int, factionId: Int, genderId: Int, headId: Int, voiceId: Int, bep: Long = 0, cep: Long = 0, cosmetics: Option[Int] = None, created: LocalDateTime = LocalDateTime.now(), lastLogin: LocalDateTime = LocalDateTime.now(), lastModified: LocalDateTime = LocalDateTime.now(), deleted: Boolean = false)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val accountId: Int
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  val bep: Long
7.  val cep: Long
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
9.  val cosmetics: Option[Int]
10.  val created: LocalDateTime
11.  val deleted: Boolean
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  val factionId: Int
14.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
15.  val genderId: Int
16.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  val headId: Int
18.  val id: Int
19.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
20.  val lastLogin: LocalDateTime
21.  val lastModified: LocalDateTime
22.  val name: String
23.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
24.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
25.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
26.  def productElementNames: Iterator[String]
    Definition Classes
      Product
27.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
28.  def toAvatar: objects.avatar.Avatar
29.  val voiceId: Int
30.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
31.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
32.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped